<div class="animate__animated animate__fadeIn animate__faster">
    <h2>Por Pais</h2>
    <hr>
    <div class="row">
        <div class="col">
            <app-pais-input
            (onResult)="buscar( $event )"
            (onDebouncer)="sugerencias( $event )"
            placeholder="Buscar pais..."
            >
            </app-pais-input>
        </div>
    </div>
</div>

<div *ngIf="resultSuggested.length !== 0 && haySugerencias">
    <app-pais-suggested [resultSuggested]='resultSuggested'>
    </app-pais-suggested>
    <li class="list-group-item list-group-item-action">
        <a class="nav-link" (click)="buscarSugerencias()">
            Buscar "{{termino | titlecase }}" 
        </a>
    </li>
</div>
<div *ngIf="resultSuggested.length ===0  && hayErrorSugerencias && termino" class="alert alert-danger"> 
    <li class="list-group-item list-group-item-action">
            No se encontró nada con el término {{termino}}
    </li>
</div>

<hr>
<div *ngIf="result.length === 0 && hayError && termino" class="alert alert-danger">
    <app-pais-error [searchWord]='termino'></app-pais-error>
</div>

<div class="row"  *ngIf="result.length !== 0 && !hayError">
    <div class="col">
            <app-pais-table [result]="result"></app-pais-table>
    </div>
</div>






<!-- [wordSearch]="termino" -->
<!-- (onEnter)="buscar( $event )" -->